using System.Collections.ObjectModel;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IWindows
{

    void Tick();
    long Ticks { get; }
    int? CurrentTick { get; }
    ReadOnlyCollection<string> ConvertAndGetFastForwardMovingPictureExpertsGroupFiles(ResultSettings resultSettings, HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient httpClient, Uri uri);
    void ConstructProgressBar(int maxTicks, string message);

}