using System.Collections.ObjectModel;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IRename
{

    void Tick();
    long Ticks { get; }
    int? CurrentTick { get; }
    ReadOnlyCollection<string> ConvertAndGetFastForwardMovingPictureExpertsGroupFiles(ResultSettings resultSettings, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(FilePath filePath);
    void ConstructProgressBar(int maxTicks, string message);

}